import TextField from "@mui/material/TextField";
import { EditableValue } from "./EditableValue";
import { exitDTE } from "./state";
import { refreshcalendarExitPriceChartData } from "./actions";
import Slider from "@mui/material/Slider";

const handleExitDTEChange = (e) => {
  if (exitDTE.value !== Number.parseInt(e.target.value)) {
    exitDTE.value = Number.parseInt(e.target.value);
    refreshcalendarExitPriceChartData();
  }
};

export function EditableExitDTE() {
  return (
    <Slider
      value={exitDTE.value}
      onChange={handleExitDTEChange}
      min={0}
      max={5}
      step={1}
      valueLabelDisplay="on"
    />
    // <EditableValue text={exitDTE.value}>
    //   <ExitToFrontExpirationChooser />
    // </EditableValue>
  );
}
