import { refreshSimilarCalendarPriceChartData } from "./actions";
import { openDTE } from "./state";
import Slider from "@mui/material/Slider";

const handleOpenDTEChange = (e) => {
  if (openDTE.value !== Number.parseInt(e.target.value)) {
    openDTE.value = Number.parseInt(e.target.value);
    refreshSimilarCalendarPriceChartData();
  }
};

export function EditableOpenDTE() {
  return (
    <Slider
      value={openDTE.value}
      onChange={handleOpenDTEChange}
      min={0}
      max={5}
      step={1}
      valueLabelDisplay="on"
    />
    // <EditableValue text={openDTE.value}>
    //   <DaysToFrontExpirationChooser />
    // </EditableValue>
  );
}
